\name{rpuchol}
\alias{rpuchol}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{GPU Accelerated Cholesky Decomposition}
\description{
  The \code{rpuchol} method computes the upper triangular 
  Cholesky decomposition of a real positive definite symmetric 
  matrix using GPU.
}
\usage{
rpuchol(x, \dots)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{A positive symmetric data matrix.}
  \item{\dots}{Not used.}
}
\value{
  The upper triangular Cholesky decomposition.
}
\author{
  Chi Yau \cr
  \email{chi.yau@r-tutor.com}
}
\seealso{\code{\link[base]{chol}}}

\examples{
\dontrun{
library(rpud)

N <- 20
x <- matrix(runif(N*5), ncol=N)
A <- t(x)%*%x + diag(N)
rpuchol(A)

}}
\keyword{math}% at least one, from doc/KEYWORDS
